
package com.mx.dla.dda.contrato.generales.enums;

public enum Estatus {
		
	Sin          (0L, ""               ),
	Registro     (1L, "En registro"    ),
	Revision     (2L, "En revisión"    ),
	Autorizacion (3L, "En autorización"),
	Autorizado   (4L, "Autorizado"     ), 
	Vigente      (5L, "Vigente"        ),
	Terminado    (6L, "Terminado"      ),
	Notificacion (7L, "Notificación con SAP"),
	Suspendido   (8L, "Suspendido"     ), 
	Cancelado	 (9L, "Cancelado"),
	Rechazado    (10L, "Rechazado");
			
	private final Long valor;
	private final String descripcion;
	
	private Estatus(Long valor, String des){
		this.valor       = valor;
		this.descripcion = des;
	}
	
	public Long getValor(){
		return valor;
	}
	
	public String getDescripcion(){
		return descripcion;
	}
}